libetonyek::IWORKOutputElements Class Reference documentation

libetonyek::IWORKOutputElements Class Reference

`#include <IWORKOutputElements.h>`

## Public Member Functions
| IWORKOutputElements ()
void | append (const IWORKOutputElements &elements)
void | addShapesInSpreadsheet (const IWORKOutputElements &elements)
| add shapes data in spreadsheet. Assume that the current elements are OpenSheet(...), ...
void | write (IWORKDocumentInterface *iface) const
void | clear ()
bool | empty () const
void | addCloseComment ()
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseGroup ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addCloseParagraph ()
void | addCloseSection ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addDefineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList)
void | addDrawGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addDrawPath (const librevenge::RVNGPropertyList &propList)
void | addDrawPolyline (const librevenge::RVNGPropertyList &propList)
void | addEndLayer ()
void | addEndNotes ()
void | addEndTextObject ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertField (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenComment (const librevenge::RVNGPropertyList &propList)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFormulaCell (const librevenge::RVNGPropertyList &propList, const IWORKFormula &formula, const boost::optional< unsigned > &formulaHC, const IWORKTableNameMapPtr_t &tableNameMap)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenGroup (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSection (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addSetStyle (const librevenge::RVNGPropertyList &propList)
void | addStartLayer (const librevenge::RVNGPropertyList &propList)
void | addStartNotes (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)

## Private Types
typedef std::deque< std::shared_ptr< IWORKOutputElement > > | ElementList_t

## Private Attributes
ElementList_t | m_elements

## Member Typedef Documentation

## ◆ ElementList_t

typedef std::deque<std::shared_ptr<IWORKOutputElement> > libetonyek::IWORKOutputElements::ElementList_t
| private

## Constructor & Destructor Documentation

## ◆ IWORKOutputElements()

libetonyek::IWORKOutputElements::IWORKOutputElements | ( |  | ) |

Referenced by addShapesInSpreadsheet(), and append().

## Member Function Documentation

## ◆ addCloseComment()

void libetonyek::IWORKOutputElements::addCloseComment | ( |  | ) |

Referenced by libetonyek::PAGCollector::collectAnnotation(), and libetonyek::IWORKTable::draw().

## ◆ addCloseEndnote()

void libetonyek::IWORKOutputElements::addCloseEndnote | ( |  | ) |

## ◆ addCloseFooter()

void libetonyek::IWORKOutputElements::addCloseFooter | ( |  | ) |

## ◆ addCloseFootnote()

void libetonyek::IWORKOutputElements::addCloseFootnote | ( |  | ) |

## ◆ addCloseFrame()

void libetonyek::IWORKOutputElements::addCloseFrame | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw(), libetonyek::NUMCollector::drawMedia(), libetonyek::PAGCollector::drawMedia(), libetonyek::PAGCollector::drawTable(), libetonyek::NUMCollector::drawTextBox(), and libetonyek::PAGCollector::drawTextBox().

## ◆ addCloseGroup()

void libetonyek::IWORKOutputElements::addCloseGroup | ( |  | ) |

## ◆ addCloseHeader()

void libetonyek::IWORKOutputElements::addCloseHeader | ( |  | ) |

## ◆ addCloseLink()

void libetonyek::IWORKOutputElements::addCloseLink | ( |  | ) |

## ◆ addCloseListElement()

void libetonyek::IWORKOutputElements::addCloseListElement | ( |  | ) |

## ◆ addCloseOrderedListLevel()

void libetonyek::IWORKOutputElements::addCloseOrderedListLevel | ( |  | ) |

## ◆ addCloseParagraph()

void libetonyek::IWORKOutputElements::addCloseParagraph | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseSection()

void libetonyek::IWORKOutputElements::addCloseSection | ( |  | ) |

## ◆ addCloseSpan()

void libetonyek::IWORKOutputElements::addCloseSpan | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseTable()

void libetonyek::IWORKOutputElements::addCloseTable | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseTableCell()

void libetonyek::IWORKOutputElements::addCloseTableCell | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseTableRow()

void libetonyek::IWORKOutputElements::addCloseTableRow | ( |  | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addCloseUnorderedListLevel()

void libetonyek::IWORKOutputElements::addCloseUnorderedListLevel | ( |  | ) |

## ◆ addDefineSheetNumberingStyle()

void libetonyek::IWORKOutputElements::addDefineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::writeFormat().

## ◆ addDrawGraphicObject()

void libetonyek::IWORKOutputElements::addDrawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::KEYCollector::drawMedia().

## ◆ addDrawPath()

void libetonyek::IWORKOutputElements::addDrawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::drawShape().

## ◆ addDrawPolyline()

void libetonyek::IWORKOutputElements::addDrawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::drawLine().

## ◆ addEndLayer()

void libetonyek::IWORKOutputElements::addEndLayer | ( |  | ) |

## ◆ addEndNotes()

void libetonyek::IWORKOutputElements::addEndNotes | ( |  | ) |

## ◆ addEndTextObject()

void libetonyek::IWORKOutputElements::addEndTextObject | ( |  | ) |

Referenced by libetonyek::PAGCollector::drawTable(), libetonyek::KEYCollector::drawTextBox(), libetonyek::NUMCollector::drawTextBox(), and libetonyek::PAGCollector::drawTextBox().

## ◆ addInsertBinaryObject()

void libetonyek::IWORKOutputElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw(), libetonyek::NUMCollector::drawMedia(), and libetonyek::PAGCollector::drawMedia().

## ◆ addInsertCoveredTableCell()

void libetonyek::IWORKOutputElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addInsertField()

void libetonyek::IWORKOutputElements::addInsertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertLineBreak()

void libetonyek::IWORKOutputElements::addInsertLineBreak | ( |  | ) |

## ◆ addInsertSpace()

void libetonyek::IWORKOutputElements::addInsertSpace | ( |  | ) |

## ◆ addInsertTab()

void libetonyek::IWORKOutputElements::addInsertTab | ( |  | ) |

## ◆ addInsertText()

void libetonyek::IWORKOutputElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenComment()

void libetonyek::IWORKOutputElements::addOpenComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::PAGCollector::collectAnnotation(), and libetonyek::IWORKTable::draw().

## ◆ addOpenEndnote()

void libetonyek::IWORKOutputElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFooter()

void libetonyek::IWORKOutputElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFootnote()

void libetonyek::IWORKOutputElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFormulaCell()

void libetonyek::IWORKOutputElements::addOpenFormulaCell | ( | const librevenge::RVNGPropertyList & | propList,
|  | const IWORKFormula & | formula,
|  | const boost::optional< unsigned > & | formulaHC,
|  | const IWORKTableNameMapPtr_t & | tableNameMap )

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenFrame()

void libetonyek::IWORKOutputElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw(), libetonyek::NUMCollector::drawMedia(), libetonyek::PAGCollector::drawMedia(), libetonyek::PAGCollector::drawTable(), libetonyek::NUMCollector::drawTextBox(), and libetonyek::PAGCollector::drawTextBox().

## ◆ addOpenGroup()

void libetonyek::IWORKOutputElements::addOpenGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenHeader()

void libetonyek::IWORKOutputElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenLink()

void libetonyek::IWORKOutputElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenListElement()

void libetonyek::IWORKOutputElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenOrderedListLevel()

void libetonyek::IWORKOutputElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenParagraph()

void libetonyek::IWORKOutputElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenSection()

void libetonyek::IWORKOutputElements::addOpenSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenSpan()

void libetonyek::IWORKOutputElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenTable()

void libetonyek::IWORKOutputElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenTableCell()

void libetonyek::IWORKOutputElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenTableRow()

void libetonyek::IWORKOutputElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKTable::draw().

## ◆ addOpenUnorderedListLevel()

void libetonyek::IWORKOutputElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addSetStyle()

void libetonyek::IWORKOutputElements::addSetStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::IWORKCollector::drawLine(), libetonyek::KEYCollector::drawMedia(), and libetonyek::IWORKCollector::drawShape().

## ◆ addShapesInSpreadsheet()

void libetonyek::IWORKOutputElements::addShapesInSpreadsheet | ( | const IWORKOutputElements & | elements | ) |

add shapes data in spreadsheet. Assume that the current elements are OpenSheet(...), ...

Referenced by libetonyek::NUMCollector::endWorkSpace().

## ◆ addStartLayer()

void libetonyek::IWORKOutputElements::addStartLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addStartNotes()

void libetonyek::IWORKOutputElements::addStartNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addStartTextObject()

void libetonyek::IWORKOutputElements::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libetonyek::PAGCollector::drawTable(), libetonyek::KEYCollector::drawTextBox(), libetonyek::NUMCollector::drawTextBox(), and libetonyek::PAGCollector::drawTextBox().

## ◆ append()

void libetonyek::IWORKOutputElements::append | ( | const IWORKOutputElements & | elements | ) |

Referenced by libetonyek::IWORKTable::draw(), libetonyek::IWORKText::draw(), and libetonyek::NUMCollector::endWorkSpace().

## ◆ clear()

void libetonyek::IWORKOutputElements::clear | ( |  | ) |

Referenced by libetonyek::PAGCollector::collectAnnotation().

## ◆ empty()

bool libetonyek::IWORKOutputElements::empty | ( |  | ) | const

Referenced by libetonyek::PAGCollector::collectAnnotation(), and libetonyek::IWORKCollector::collectHeaderFooter().

## ◆ write()

void libetonyek::IWORKOutputElements::write | ( | IWORKDocumentInterface * | iface | ) | const

Referenced by libetonyek::NUMCollector::endDocument(), and libetonyek::PAGCollector::writePageGroupsObjects().

## Member Data Documentation

## ◆ m_elements

ElementList_t libetonyek::IWORKOutputElements::m_elements
| private

Referenced by addCloseComment(), addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseGroup(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addCloseParagraph(), addCloseSection(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseUnorderedListLevel(), addDefineSheetNumberingStyle(), addDrawGraphicObject(), addDrawPath(), addDrawPolyline(), addEndLayer(), addEndNotes(), addEndTextObject(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertField(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenComment(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFormulaCell(), addOpenFrame(), addOpenGroup(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenParagraph(), addOpenSection(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenUnorderedListLevel(), addSetStyle(), addShapesInSpreadsheet(), addStartLayer(), addStartNotes(), addStartTextObject(), append(), clear(), empty(), IWORKOutputElements(), and write().

The documentation for this class was generated from the following files:

- IWORKOutputElements.h
- IWORKOutputElements.cpp